## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           papirus-icon-theme
Version:        20220101
Release:        %autorelease
Summary:        Free and open source SVG icon theme based on Paper Icon Set

# Some icons are based on Paper Icon Theme, CC-BY-SA
# The rest is GPLv3
License:        GPLv3 and CC-BY-SA
URL:            https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
Source0:        %url/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make

%description
Papirus is a free and open source SVG icon theme for Linux, based on Paper
Icon Set with a lot of new icons and a few extras, like Hardcode-Tray support,
KDE colorscheme support, Folder Color support, and others.

Papirus icon theme is available in six variants:

 - Papirus (for Arc / Arc Darker)
 - Papirus Dark (for Arc Dark)
 - Papirus Light (light theme with Breeze colors)
 - ePapirus (for elementary OS and Pantheon Desktop)
 - ePapirus-Dark (for elementary OS and Pantheon Desktop)

%prep
%autosetup

%install
%make_install

export THEMES="ePapirus ePapirus-Dark Papirus Papirus-Dark Papirus-Light"
for t in $THEMES; do
    /bin/touch %{buildroot}/%{_datadir}/icons/$t/icon-theme.cache
done

%post
export THEMES="ePapirus ePapirus-Dark Papirus Papirus-Dark Papirus-Light"
for t in $THEMES; do
    /bin/touch --no-create %{_datadir}/icons/$t &>/dev/null || :
done

%postun
if [ $1 -eq 0 ] ; then
    export THEMES="ePapirus ePapirus-Dark Papirus Papirus-Dark Papirus-Light"
    for t in $THEMES; do
        /bin/touch --no-create %{_datadir}/icons/$t &>/dev/null
        /usr/bin/gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
    done
fi

%posttrans
export THEMES="ePapirus ePapirus-Dark Papirus Papirus-Dark Papirus-Light"
for t in $THEMES; do
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
done

%files
%license LICENSE
%doc AUTHORS README.md
%dir %{_datadir}/icons/Papirus-Dark
%dir %{_datadir}/icons/Papirus-Light
%dir %{_datadir}/icons/Papirus
%dir %{_datadir}/icons/ePapirus-Dark
%dir %{_datadir}/icons/ePapirus
%ghost %{_datadir}/icons/Papirus-Dark/icon-theme.cache
%ghost %{_datadir}/icons/Papirus-Light/icon-theme.cache
%ghost %{_datadir}/icons/Papirus/icon-theme.cache
%ghost %{_datadir}/icons/ePapirus-Dark/icon-theme.cache
%ghost %{_datadir}/icons/ePapirus/icon-theme.cache
%{_datadir}/icons/Papirus-Dark/*x*
%{_datadir}/icons/Papirus-Dark/symbolic
%{_datadir}/icons/Papirus-Light/*x*
%{_datadir}/icons/Papirus-Light/symbolic
%{_datadir}/icons/Papirus/*x*
%{_datadir}/icons/Papirus/symbolic
%{_datadir}/icons/ePapirus-Dark/*x*
%{_datadir}/icons/ePapirus-Dark/symbolic
%{_datadir}/icons/ePapirus/*x*
%{_datadir}/icons/ePapirus/symbolic

%changelog
* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 20220101-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jan 09 2022 Robert-André Mauchin <zebob.m@gmail.com> 20220101-1
- Update to 20220101 Close: rhbz#2036452

* Fri Dec 17 2021 Robert-André Mauchin <zebob.m@gmail.com> 20211201-1
- Update to 20211201 Close: rhbz#2019292

* Sun Oct 03 2021 Robert-André Mauchin <zebob.m@gmail.com> 20210901-2
- Add missing folder in %files

* Sun Oct 03 2021 Robert-André Mauchin <zebob.m@gmail.com> 20210901-1
- Update to 20210901 Close: rhbz#1989079

* Sun Jul 25 2021 Robert-André Mauchin <zebob.m@gmail.com> 20210701-1
- Update to 20210701 Close: rhbz#1966807

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20210501-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 24 13:08:31 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20210501-1
- Update to 20210501
- Close: rhbz#1955965

* Wed Apr  7 16:37:47 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20210401-1
- Update to 20210401
- Close: rhbz#1945751

* Fri Mar  5 09:10:01 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20210302-1
- Update to 20210302
- Close: rhbz#1923829

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20210101-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan  8 17:00:44 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20210101-1
- Update to 20210101
- Close: rhbz#1911889

* Fri Dec 04 21:44:34 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20201201-1
- Update to 20201201
- close: rhbz#1903449

* Sun Nov 08 12:20:19 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20201031-1
- Update to 20201031 (#1862732)

* Mon Aug 24 16:48:02 CEST 2020 Harry Chen <harrychen0314@gmail.com> - 20200801-1
- Update to 20200801 (#1862732)

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20200702-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 14 20:52:11 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20200702-1
- Update to 20200702 (#1853395)

* Thu Jun 18 15:31:28 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20200602-1
- Update to 20200602 (#1821029)

* Mon Mar 02 19:59:31 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20200301-1
- Update to 20200301

* Thu Feb 27 02:13:17 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20200201-1
- Update to 20200201

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20200102-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 11 22:28:21 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20200102-1
- Release 20200102 (#1787866)

* Fri Dec 06 00:03:00 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20191101-1
- Release 20191101 (#1767767)

* Fri Oct 11 20:03:51 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20191009-1
- Release 20191009 (#1760661)

* Thu Oct 10 22:56:19 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190919-1
- Release 20190919

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20190708-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 16 19:29:14 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190708-1
- Release 20190708

* Fri Jul 05 21:04:18 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190701-1
- Release 20190701 (#1725696)

* Sun Jun 16 15:25:21 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190615-1
- Release 20190615 (#1720826)

* Thu May 30 15:55:21 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190521-1
- Release 20190521 (#1712816)

* Sat May 04 18:35:45 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190501-1
- Release 20190501 (#1694640)

* Wed Mar 13 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190302-2
- Fix to handle folder to link upgrade

* Mon Mar 11 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190302-1
- Release 20190302 (#1687463)

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20181007-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 07 2018 Robert-André Mauchin <zebob.m@gmail.com> - 20181007-1
- Update to release 20181007

* Tue Oct 02 2018 Robert-André Mauchin <zebob.m@gmail.com> - 20180816-1
- Initial release

